Bug 70855 - can't enter characters with accents
can't enter characters with accents
Product: Red Hat Public Beta
Classification: Retired
Component: emacs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Jay Turner
Depends On:
Blocks: 65252 67218
  Show dependency treegraph
Reported: 2002-08-06 01:30 EDT by Alexandre Oliva
Modified: 2015-01-07 18:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-09 17:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-08-06 01:30:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
A us_intl keymap that used to enable someone to enter characters with accents in
7.3 generates garbage on GNU Emacs on limbo (2).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Add to panel the gnome panel the keyboard layout switcher
2.Add an English -> US -> US international keymap (non xkb)
3.Enable it
4.Start GNU Emacs (XEmacs will work; why can't GNU Emacs be started from a menu?)
5.Type say 'a

Actual Results:  A pair of characters, none of which look like a, that, when
cut&pasted into Mozilla, gives an a.  It's saved as a pair of characters that
displays as `a' by cat, less, etc.  I suppose it's the UTF8 encoding of a, but
it displays incorrect in GNU Emacs, if started with LANG=en_US.UTF-8.  If I set
LANG=C, then GNU Emacs displays accented characters correctly.

Expected Results:  It should not display individual components of UTF8 character
sequences, regardless of the LANG choice, or at least not by default.

Additional info:

Instead of adding the keyboard layout switcher, it may be enough to run
setxkbmap us_intl.
Comment 1 Trond Eivind Glomsrxd 2002-08-07 16:31:10 EDT
Verified - only happens if the locale is a utf-8 locale.
Comment 2 Trond Eivind Glomsrxd 2002-08-09 17:16:52 EDT
Fixed in emacs-21.2-16
Comment 3 Jay Turner 2002-08-16 10:40:24 EDT
Fix confirmed with emacs-21.2-16.

Note You need to log in before you can comment on or make changes to this bug.